/* width */
::-webkit-scrollbar {
    width: 8px;
}

/* Track */
::-webkit-scrollbar-track {
    background: rgba(175, 201, 240, 0.521);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #2f8549a2;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #DD7510;
}

#headg {
    font-size: 14px;
    color: #fffff6;
    background-color: rgba(25, 26, 88, 0.562);
    text-align: center;
    padding: 2px 4px 2px 4px;
    border: solid rgba(3, 53, 24, 0.28) 1px;
    border-radius: 2px;
}

#mssg {
    font-size: 10px;
    color: #150364;
    height: 45px;
    background-color: rgba(255, 255, 255, 0.89);
    overflow-y: scroll;
    padding: 2px 4px 2px 4px;
    border: solid rgba(3, 53, 24, 0.28) 1px;
    border-radius: 2px;
}

input[type="text"],
textarea {
    width: 95px;
    background-color: rgba(212, 235, 175, 0.199);
    color: #003518;
}

input::placeholder {
    color: #003518;
    font-size: 13px;
    font-weight: bold;
    opacity: 0.5;
}

#display_container {
    display: table;
    width: 260px;
    padding: 4px 4px 4px 4px;
    margin: 10px 0px 0px 15px;
    background: linear-gradient(90deg, rgba(20, 72, 151, 0.289) 0%, rgba(136, 240, 141, 0.178) 39%, rgba(0, 213, 255, 0.13) 100%);
    border: solid rgb(221, 206, 183) 2px;
    border-radius: 5px;
}

#secs {
    width: 99px;
    height: 35px;
    padding: 8px;
    background-color: rgba(212, 235, 175, 0.199);
    border: solid #539b7f 1px;
    border-radius: 3px;
}

#param {
    width: 99px;
    height: 35px;
    padding: 8px;
    padding: 0px 0px 0px 2px;
    background-color: rgba(212, 235, 175, 0.199);
    border: solid #539b7f 1px;
    border-radius: 3px;
}

.inputRow {
    display: inline-flex;
    vertical-align: middle;
    padding: 1px 1px 1px 1px;
}

.c_button {
    /* button */
    text-align: center;
    margin: 10px 0px 0px 20px;
    cursor: pointer;
    width: 40px;
    height: 18px;
    padding: 1px 2px 1px 2px;
    background-color: blue;
    color: white;
    font-size: 10px;
    border: 1px solid #ffffff;
    border-radius: 6px;
}

label {
    width: 55px;
    margin: 10px 10px 0px 0px;
}

@media screen and (max-width: 500px) {
    #headg {
        font-size: 16px;
        font-weight: bold;
        padding: 2px 4px 2px 4px;
    }

    #mssg {
        font-size: 12px;
        height: 50px;
        padding: 2px 4px 2px 4px;
    }

    input[type="text"],
    textarea {
        width: 100px;
    }

    input::placeholder {
        font-size: 11px;
        font-weight: bold;
        opacity: 0.5;
    }

    textarea::placeholder {
        font-size: 11px;
        font-weight: bold;
        opacity: 0.5;
    }

    #display_container {
        width: 300px;
        padding: 4px 4px 4px 4px;
        margin: 10px 0px 0px 25px;
    }

    #secs {
        width: 100px;
        height: 35px;
        padding: 8px;
    }

    .inputRow {
        padding: 1px 1px 1px 1px;
    }

    .c_button {
        /* button */
        margin: 10px 0px 0px 20px;
        width: 40px;
        height: 18px;
        padding: 1px 2px 1px 2px;
        font-size: 10px;
    }

    label {
        width: 65px;
        margin: 10px 10px 0px 0px;
    }
}

/* iPad Portrait and Landscape */
@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (-webkit-min-device-pixel-ratio: 1) {

    #headg {
        font-size: 16px;
        font-weight: bold;
        padding: 2px 4px 2px 4px;
    }

    #mssg {
        font-size: 12px;
        height: 50px;
        padding: 2px 4px 2px 4px;
    }

    input[type="text"],
    textarea {
        width: 100px;
    }

    input::placeholder {
        font-size: 11px;
        font-weight: bold;
        opacity: 0.5;
    }

    textarea::placeholder {
        font-size: 11px;
        font-weight: bold;
        opacity: 0.5;
    }

    #display_container {
        width: 300px;
        padding: 4px 4px 4px 4px;
        margin: 10px 0px 0px 15px;
    }

    #secs {
        width: 100px;
        height: 35px;
        padding: 8px;
    }

    #param {
        font-size: 12px;
    }

    .inputRow {
        padding: 1px 1px 1px 1px;
        vertical-align: middle;
    }

    .c_button {
        /* button */
        margin: 10px 0px 0px 20px;
        width: 40px;
        height: 18px;
        padding: 1px 2px 1px 2px;
        font-size: 9px;
    }

    label {
        width: 65px;
        margin: 10px 10px 0px 0px;
    }
}